import { index, integer, sqliteTable, text } from "drizzle-orm/sqlite-core";

/**
 * Core `artists` table.
 *
 * Source: AmqArtistSchema
 */
export const artists = sqliteTable(
	"artists",
	{
		/** AMQ songArtistId */
		songArtistId: integer("song_artist_id").notNull().primaryKey(),
		name: text("name").notNull(),
	},
	(t) => ({
		nameIndex: index("artists_name_idx").on(t.name),
	}),
);
